Issue 20208

Summary: persisting user/application data with document
Product: App Dev Reporter: glmason <lmason>
Component: apiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: 3.3.0 or older (OOo)   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description glmason 2003-09-26 17:13:02 UTC
I'm building a spreadsheet application, though it seems that this should be 
available to all documents. There needs to be a way to save application data 
with the document. On the spreadsheet I used a work around of saving data to a 
hidden sheet, but the end user can unhide the sheet from the menu, and this is 
ultimatly not an acceptable solution. 

There are are with a spread sheet, four fields for user data, howevern that 
that refers to end-user data, not data that an application may need to know the 
next time the user opens a document.

It would be best to save objects, but they would need to be serialized in some 
way, so maybe it would be enough to have key=value "properties" that are save 
with the document, however there should be no specific limit of the number of 
properties.

This is the first issue I've raized, so if I have not done everything 
correctly, I apologize in advance.
Comment 1 ooo 2003-10-23 08:49:20 UTC
I agree that such a feature would be very helpful.  Unfortunately it
means a coop of very many dvelopers (API, framework, applications). 
Thus I cant make any promnises for when we can address it.
Comment 2 ooo 2004-01-29 15:38:14 UTC
assigning target
Comment 3 ace_dent 2008-05-16 02:57:15 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 Rob Weir 2013-07-30 02:23:56 UTC
Reset assignee on issues not touched by assignee in more than 2000 days.